import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.hbase.*;
import org.apache.hadoop.hbase.client.*;
import org.apache.hadoop.hbase.util.Bytes;
import java.io.*;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.*;

public class HBaseEmpManager {
    public static void main(String[] args) {
        try {
            HBaseConnectionManager.init();
            HBaseTableManager.createTable(HBaseConnectionManager.getAdmin());
            
            EmployeeDAO employeeDAO = new EmployeeDAO();
            employeeDAO.insertData("emp.txt");
            employeeDAO.queryById();
            employeeDAO.queryByPerformance();
            employeeDAO.queryRecentPromotion();
            
            TrainingDAO trainingDAO = new TrainingDAO();
            trainingDAO.countTrainingParticipants();
            
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            HBaseConnectionManager.close();
        }
    }
}
