// 新建表管理类
import org.apache.hadoop.hbase.HColumnDescriptor;
import org.apache.hadoop.hbase.HTableDescriptor;
import org.apache.hadoop.hbase.TableName;
import org.apache.hadoop.hbase.client.Admin;

public class HBaseTableManager {
    private static final String TABLE_NAME = "emp1520";
    private static final String[] CF_ARRAY = {"empnum", "info", "salary", "performance", "training"};

    public static void createTable(Admin admin) throws IOException {
        TableName tableName = TableName.valueOf(TABLE_NAME);
        if (admin.tableExists(tableName)) {
            admin.disableTable(tableName);
            admin.deleteTable(tableName);
            System.out.println("Existing table removed");
        }

        HTableDescriptor tableDescriptor = new HTableDescriptor(tableName);
        for (String cf : CF_ARRAY) {
            tableDescriptor.addFamily(new HColumnDescriptor(cf));
        }
        admin.createTable(tableDescriptor);
        System.out.println("Table created successfully");
    }
}