// 新建培训统计类
import org.apache.hadoop.hbase.client.*;
import org.apache.hadoop.hbase.util.Bytes;
import java.util.*;

public class TrainingDAO {
    public void countTrainingParticipants() throws IOException {
        try(Table table = HBaseConnectionManager.getConnection().getTable(TableName.valueOf("emp1520"))) {
            Scan scan = new Scan();
            scan.addColumn(Bytes.toBytes("training"), Bytes.toBytes("training_courses"));
            
            ResultScanner scanner = table.getScanner(scan);
            Map<String, Integer> countMap = new HashMap<>();
            
            for (Result result : scanner) {
                String courses = Bytes.toString(result.getValue(Bytes.toBytes("training"), Bytes.toBytes("training_courses")));
                for (String course : courses.split(", ")) {
                    countMap.put(course, countMap.getOrDefault(course, 0) + 1);
                }
            }
            
            System.out.println("培训课程统计:");
            for (Map.Entry<String, Integer> entry : countMap.entrySet()) {
                System.out.println(entry.getKey() + ": " + entry.getValue() + " 人");
            }
        }
    }
}